ip.json: Get requesting IP (JSON)

API: geojs.io:geojs-ip-geolocation-api
Endpoint: /ip.json
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 227ms

Description

Returns the requesting IP address as JSON

Examples (1)

Get requesting IP (JSON) probe-gate
curl 'https://get.geojs.io/v1/ip.json'
import requests

resp = requests.get("https://get.geojs.io/v1/ip.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("geojs-ip-geolocation")
result = api.fetch("ip.json")

for item in result:
    print(item)
const resp = await fetch("https://get.geojs.io/v1/ip.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:25:52.240673 200 227ms
2026-04-15 00:31:12.058897 200 240ms
2026-04-14 00:27:11.427030 200 234ms
2026-04-12 16:07:04.913693 200 225ms
2026-04-10 03:24:22.983019 200 178ms
2026-04-09 03:07:06.063755 200 475ms
2026-04-03T16:07:41.415994 200 172ms